Subject: Re: AW: Re*: AW: Getting the full path of a conflicting file within a custom merge driver?

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Jun 2015 08:19:02 -0700

"Gondek, Andreas" <[email-masked]> writes:

> One last question. If I don't want to compile Git myself, how long may
> the pu branch take approx. to get into a next release?

There is no general estimate; not all topics necessarily graduate to
the released version.

I'd leave it on the list (and in 'pu') for a few days so that other
people can poke a hole in it for me to fix or improve it.  And then
it will hopefully merged to 'next' for further testing by other
people.  It may graduate to 'master' before the pre-release feature
freeze for the next cycle in which case it will be in 2.5; otherwise
it may have to wait for the release after that.

We are at the end of week #5 (cf. http://tinyurl.com/gitCal), and
the pre-release feature freeze is expected to happen end of this
month during week #9 this cycle.  Given that the patch is reasonably
simple and straightforward, I'd say we will have it in 2.5 scheduled
for mid next month.